## fheroes2-1.0.11.tar.gz

=== files/lang/Makefile ===
###########################################################################
#   fheroes2: https://github.com/ihhub/fheroes2                           #
#   Copyright (C) 2023                                                    #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
###########################################################################

ICONV  = iconv
# TODO: consider converting game fonts and texts to UTF-8 in the engine instead
MSGFMT = sed -e '1,20 s/UTF-8/$(1)/' $< | $(ICONV) -f utf-8 -t $(1) | if msgfmt --help | grep -q no-convert >/dev/null 2>/dev/null; then msgfmt - -o $@ --no-convert; else msgfmt - -o $@; fi

.PHONY: all clean merge

all: $(patsubst %.po, %.mo, $(wildcard *.po))

merge: ../../src/dist/fheroes2.pot
	for i in $(wildcard *.po); do msgmerge -U --no-location $$i $<; done

# Czech, Hungarian, Polish and Slovak versions use CP1250
cs.mo hu.mo pl.mo sk.mo: %.mo: %.po
	$(call MSGFMT,CP1250)

# Belarusian, Bulgarian, Ukrainian versions use CP1251
# Russian versions from "Buka" and "XXI vek" use CP1251 encoding (supported)
# Russian version from "Fargus" uses Russian keyboard layout as encoding (not supported)
be.mo bg.mo ru.mo uk.mo: %.mo: %.po
	$(call MSGFMT,CP1251)

# German, Danish, French, Italian, Dutch, Norwegian, Portuguese, Spanish and Swedish translations use CP1252
de.mo dk.mo es.mo fr.mo it.mo nb.mo pt.mo sv.mo nl.mo: %.mo: %.po
	$(call MSGFMT,CP1252)

# Turkish uses CP1254
tr.mo: tr.po
	$(call MSGFMT,CP1254)
	
# Vietnamese uses CP1258
vi.mo: vi.po
	$(call MSGFMT,CP1258)

# Romanian uses ISO-8859-16
ro.mo: ro.po
	$(call MSGFMT,ISO-8859-16)

# All other languages: drop accents transliterated with `"` (which breaks translation file format)
# and transliterate the rest with default iconv rules
%.mo: %.po
	sed -e 'y/äëïöőüűÄËÏŐÖÜŰ/aeioouuAEIOOUU/' $< | $(ICONV) -f utf-8 -t ascii//TRANSLIT | msgfmt - -o $@

clean:
	rm -f *.mo *.po~

=== src/dist/Makefile ===
###########################################################################
#   fheroes2: https://github.com/ihhub/fheroes2                           #
#   Copyright (C) 2021 - 2022                                             #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
###########################################################################

TARGET := fheroes2

LIBENGINE := ../engine/libengine.a
CCFLAGS := $(CCFLAGS) -I../engine

LIBENGINE := $(LIBENGINE) ../thirdparty/libsmacker/libsmacker.a
CCFLAGS := $(CCFLAGS) -I../thirdparty/libsmacker

ifeq ($(PLATFORM), mingw)
RES := ../resources/$(TARGET).res
RC  := ../resources/fheroes2.rc
ifdef FHEROES2_WITH_DEBUG
DEBUGFLAG := -DWITH_DEBUG
endif
endif

SOURCEROOT := ../fheroes2
SOURCEDIR  := $(filter %/, $(wildcard $(SOURCEROOT)/*/)) $(filter %/, $(wildcard $(SOURCEROOT)/*/*/))
POT        := $(TARGET).pot

SEARCH     := $(wildcard $(SOURCEROOT)/*/*.cpp) $(wildcard $(SOURCEROOT)/*/*/*.cpp)

.PHONY: all clean pot

all: $(TARGET)

$(TARGET): $(notdir $(patsubst %.cpp, %.o, $(SEARCH))) $(LIBENGINE) $(RES)
	@echo "lnk: $@"
	$(CXX) -o $@ $^ $(LIBS) $(LDFLAGS)

pot: $(wildcard $(SEARCH))
	@echo "gen: $(POT)"
	@xgettext -d $(TARGET) -C -F -k_ -k_n:1,2 -o $(POT) $(sort $(wildcard $(SEARCH)))
	@sed -i~ -e 's/, c-format//' $(POT)

$(RES): $(RC)
	@echo "gen: $@"
	$(WINDRES) -I../fheroes2/system $(DEBUGFLAG) $< -O coff -o $@

VPATH := $(SOURCEDIR)

%.o: %.cpp
	$(CXX) -c -MD $(addprefix -I, $(SOURCEDIR)) $< $(CCFLAGS) $(CXXFLAGS) $(CPPFLAGS)

include $(wildcard *.d)

clean:
	rm -f *.pot *.pot~ *.o *.d *.exe $(TARGET) $(RES)
	rm -rf *.app

=== script/packaging/debian/changelog ===
fheroes2 (1.0.11-1) UNRELEASED; urgency=medium

  * 1.0.11 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 23 Dec 2023 00:00:00 +000

fheroes2 (1.0.10-1) UNRELEASED; urgency=medium

  * 1.0.10 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 18 Nov 2023 00:00:00 +000

fheroes2 (1.0.9-1) UNRELEASED; urgency=medium

  * 1.0.9 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 11 Oct 2023 00:00:00 +000

fheroes2 (1.0.8-1) UNRELEASED; urgency=medium

  * 1.0.8 release

 -- fheroes2 team <fhomm2@gmail.com>  Mon, 11 Sep 2023 00:00:00 +0000

fheroes2 (1.0.7-1) UNRELEASED; urgency=medium

  * 1.0.7 release

 -- fheroes2 team <fhomm2@gmail.com>  Tue, 15 Aug 2023 00:00:00 +0000

fheroes2 (1.0.6-1) UNRELEASED; urgency=medium

  * 1.0.6 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 15 Jul 2023 00:00:00 +0000

fheroes2 (1.0.5-1) UNRELEASED; urgency=medium

  * 1.0.5 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 14 Jun 2023 00:00:00 +0000

fheroes2 (1.0.4-1) UNRELEASED; urgency=medium

  * 1.0.4 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 13 May 2023 00:00:00 +0000

fheroes2 (1.0.3-1) UNRELEASED; urgency=medium

  * 1.0.3 release

 -- fheroes2 team <fhomm2@gmail.com>  Tue, 11 Apr 2023 00:00:00 +0000

fheroes2 (1.0.2-1) UNRELEASED; urgency=medium

  * 1.0.2 release

 -- fheroes2 team <fhomm2@gmail.com>  Sun, 12 Mar 2023 00:00:00 +0000

fheroes2 (1.0.1-1) UNRELEASED; urgency=medium

  * 1.0.1 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 08 Feb 2023 00:00:00 +0000

fheroes2 (1.0.0-1) UNRELEASED; urgency=medium

  * 1.0.0 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 21 Dec 2022 00:00:00 +0000

fheroes2 (0.9.21-1) UNRELEASED; urgency=medium

  * 0.9.21 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 12 Nov 2022 00:00:00 +0000

fheroes2 (0.9.20-1) UNRELEASED; urgency=medium

  * 0.9.20 release

 -- fheroes2 team <fhomm2@gmail.com>  Mon, 10 Oct 2022 00:00:00 +0000

fheroes2 (0.9.19-1) UNRELEASED; urgency=medium

  * 0.9.19 release

 -- fheroes2 team <fhomm2@gmail.com>  Sun, 11 Sep 2022 00:00:00 +0000

fheroes2 (0.9.18-1) UNRELEASED; urgency=medium

  * 0.9.18 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 10 Aug 2022 00:00:00 +0000

fheroes2 (0.9.17-1) UNRELEASED; urgency=medium

  * 0.9.17 release

 -- fheroes2 team <fhomm2@gmail.com>  Mon, 11 Jul 2022 00:00:00 +0000

=== script/packaging/debian/control ===
Source: fheroes2
Section: contrib/games
Priority: optional
Maintainer: fheroes2 team <fhomm2@gmail.com>
Build-Depends: debhelper-compat (=12), libsdl2-dev, libsdl2-mixer-dev, libz-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://ihhub.github.io/fheroes2/
Vcs-Git: https://github.com/ihhub/fheroes2.git
Vcs-Browser: https://github.com/ihhub/fheroes2

Package: fheroes2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free remake of Heroes of Might and Magic II game engine
 Heroes of Might and Magic II is a classic turn-based fantasy strategy.
 .
 Original game files are needed to play this game.

=== script/packaging/debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export LC_ALL = C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_STRIP = -O2
export DEB_CXXFLAGS_MAINT_STRIP = -O2

export FHEROES2_DATA = /usr/share/games/fheroes2

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make -C docs

override_dh_auto_clean:
	make -C docs clean
	dh_auto_clean
